package com.red.circle.console.app.service.app.game;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.game.GameTrumpetBlacklistParamCmd;
import com.red.circle.other.inner.model.cmd.game.GameTrumpetBlacklistQryCmd;
import com.red.circle.other.inner.model.dto.user.UserProfileDTO;

/**
 * 喇叭-黑名单
 * @author zongpubin on 2024/1/25
 */
public interface GameTrumpetBlackService {

  PageResult<UserProfileDTO> page(GameTrumpetBlacklistQryCmd query);

  void add(GameTrumpetBlacklistParamCmd param);

  void deleteByUserId(Long userId);
}
